package xyz.wbsite.optimizer.task;

import xyz.wbsite.optimizer.TaskType;

import java.io.File;

public class Task {
    /**
     * @parameter
     */
    private TaskType taskType;
    /**
     * @parameter
     */
    private File directory;
    /**
     * @parameter defaultValue="${project.basedir}/target"
     */
    private File targetPath;
    /**
     * @parameter
     */
    private String include;
    /**
     * @parameter
     */
    private String exclude;

    /**
     * @parameter :是否只压缩, 不对局部变量进行混淆
     */
    private boolean JsConfigMunge = false;
    /**
     * @parameter :是否显示info和warn级别的信息
     */
    private boolean JsConfigVerbose = false;
    /**
     * @parameter :是否保留所有的分号
     */
    private boolean JsConfigPreserveAllSemiColons = false;
    /**
     * @parameter :是否禁用自带的所有优化措施
     */
    private boolean JsConfigDisableOptimizations = false;

    public TaskType getTaskType() {
        return taskType;
    }

    public void setTaskType(TaskType taskType) {
        this.taskType = taskType;
    }

    public File getDirectory() {
        return directory;
    }

    public void setDirectory(File directory) {
        this.directory = directory;
    }

    public File getTargetPath() {
        return targetPath;
    }

    public void setTargetPath(File targetPath) {
        this.targetPath = targetPath;
    }

    public String getInclude() {
        return include;
    }

    public void setInclude(String include) {
        this.include = include;
    }

    public String getExclude() {
        return exclude;
    }

    public void setExclude(String exclude) {
        this.exclude = exclude;
    }

    public boolean isJsConfigMunge() {
        return JsConfigMunge;
    }

    public void setJsConfigMunge(boolean jsConfigMunge) {
        JsConfigMunge = jsConfigMunge;
    }

    public boolean isJsConfigVerbose() {
        return JsConfigVerbose;
    }

    public void setJsConfigVerbose(boolean jsConfigVerbose) {
        JsConfigVerbose = jsConfigVerbose;
    }

    public boolean isJsConfigPreserveAllSemiColons() {
        return JsConfigPreserveAllSemiColons;
    }

    public void setJsConfigPreserveAllSemiColons(boolean jsConfigPreserveAllSemiColons) {
        JsConfigPreserveAllSemiColons = jsConfigPreserveAllSemiColons;
    }

    public boolean isJsConfigDisableOptimizations() {
        return JsConfigDisableOptimizations;
    }

    public void setJsConfigDisableOptimizations(boolean jsConfigDisableOptimizations) {
        JsConfigDisableOptimizations = jsConfigDisableOptimizations;
    }
}
