package xyz.wbsite;

import org.codehaus.plexus.util.FileUtils;
import xyz.wbsite.optimizer.Optimizer;

import java.io.File;
import java.io.IOException;
import java.util.List;

public class TaskTest {

    public static void main(String[] args) throws IOException {
        {
            System.out.println("=================================================CSS");
            File directory = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\src\\main\\resources\\static");
            File targetPath = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\target\\classes\\static");
            String include = "**/*.css";
            String exclude = "";
            Optimizer optimizer = new Optimizer();

            List fileList = FileUtils.getFiles(directory, include, exclude);
            for (Object o : fileList) {
                if (o instanceof File) {
                    File sourceFile = (File) o;
                    File targetFile = new File(targetPath, sourceFile.getAbsolutePath().substring(directory.getAbsolutePath().length()));
                    optimizer.compressCSS(sourceFile, targetFile);
                }
            }
        }

        {
            System.out.println("=================================================JS");
            File directory = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\src\\main\\resources\\static");
            File targetPath = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\target\\classes\\static");
            String include = "**/*.js";
            String exclude = "**/*.min.js";
            Optimizer optimizer = new Optimizer();

            List fileList = FileUtils.getFiles(directory, include, exclude);
            for (Object o : fileList) {
                if (o instanceof File) {
                    File sourceFile = (File) o;
                    File targetFile = new File(targetPath, sourceFile.getAbsolutePath().substring(directory.getAbsolutePath().length()));
                    optimizer.compressJS(sourceFile, targetFile);
                }
            }
        }

        {
            System.out.println("=================================================COMPRESS_HTML");
            File directory = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\src\\main\\resources\\static");
            File targetPath = new File("E:\\workspace\\dbtool\\target\\project\\wadmin\\target\\classes\\static");
            String include = "**/*.ftl";
            String exclude = "";
            Optimizer optimizer = new Optimizer();

            List fileList = FileUtils.getFiles(directory, include, exclude);
            for (Object o : fileList) {
                if (o instanceof File) {
                    File sourceFile = (File) o;
                    File targetFile = new File(targetPath, sourceFile.getAbsolutePath().substring(directory.getAbsolutePath().length()));
                    optimizer.compressHTML(sourceFile, targetFile);
                }
            }
        }
    }
}
