package xyz.wbsite.optimizer.compressor;


import com.googlecode.htmlcompressor.compressor.Compressor;

import java.util.regex.Pattern;

public class SimpleJavaScriptCompressor implements Compressor {
    @Override
    public String compress(String source) {
        if (source == null || "".equals(source)) {
            return source;
        }
        String result = source;
        // 将空格、制表符、回车、换行符替换为空字符
        result = Pattern.compile("//.*|\\s+|\t+|\r+|\n+").matcher(result).replaceAll(" ");
        result = Pattern.compile("\\s?(=|:|;|,|:\\{|\\{|}|\\(|\\))\\s?").matcher(result).replaceAll("$1");
        return result;
    }
}
